package domain;

public class DistanzMatrix extends MatrixN {
	public DistanzMatrix(int dim) throws MatrixException {
		super(dim);
	}
	
	@Override
	public void set(int row, int col, int value) throws MatrixException {
		if (value < -1)
			throw new MatrixException("Fehler: nur Werte ab -1 erlaubt");
		
		super.set(row, col, value);
	}
}
